Update keystone docs

Bug #1283943 reported by Steve Martinelli on 2014-02-24
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
OpenStack Identity (keystone)
Medium
Lance Bragstad

Bug Description

I noticed a few spots in the docs that are out of date, I'm going to list them all here, some might not be necessary.

1) (FIXED Mar 9, 2014) Mention that ADMIN_TOKEN does not carry any authorization (we say this in sample.conf) http://docs.openstack.org/developer/keystone/configuringservices.html#admin-token

2) (DUPLICATE) Tenant is used: http://docs.openstack.org/developer/keystone/configuringservices.html#setting-up-tenants-users-and-roles

3) (DUPLICATE) Tenant again: http://docs.openstack.org/developer/keystone/configuringservices.html#creating-service-users

4) (FIXED Jun 20, 2014) Should we mention #openstack-keystone: http://docs-draft.openstack.org/00/73900/4/check/gate-keystone-docs/98c168c/doc/build/html/community.html#openstack-on-freenode-irc-network

5) (FIXED Oct 21, 2013) This seems like a good spot to mention extensions, since they are not really mentioned anywhere (except developing extensions): http://docs.openstack.org/developer/keystone/architecture.html

6) (FIXED May 30, 2014) Can we condense Service API Examples Using Curl and Admin API Examples Using Curl, as they go to the same url: http://docs.openstack.org/developer/keystone/#developers-documentation

7) (FIXED May 30, 2014) This contains a lot of V2 specific content: http://docs.openstack.org/developer/keystone/api_curl_examples.html (tenant is used, /tokens instead of /auth/tokens, token response contains 'access'.
Not sure if we should keep two copies, or update it all to v3.

8) (INVALID) No mention of disable events in: http://docs.openstack.org/developer/keystone/event_notifications.html

Dolph Mathews (dolph) on 2014-03-05
Changed in keystone:
milestone: none → icehouse-rc1
importance: Undecided → Medium
status: New → Triaged
Dolph Mathews (dolph) wrote :

1) https://review.openstack.org/#/c/78352/

2, 3) already tracked in https://bugs.launchpad.net/keystone/+bug/1017606

4) That section should just be reduced to a link to https://wiki.openstack.org/wiki/IRC

5) wishlist / not really specific to icehouse, but i agree

6) good catch (also not specific to icehouse)

7) agree, this should be largely rewritten to utilize v3, if we're going to bother to keep it. i don't think it needs to be so exhaustive, though. just get people started and point to the API doc for more?

8) this one is actually invalid - disable events aren't emitted by keystone (yet)

Changed in keystone:
milestone: icehouse-rc1 → none
summary: - Update keystone docs for IceHouse release
+ Update keystone docs
Changed in keystone:
assignee: nobody → Brant Knudson (blk-u)
status: Triaged → In Progress

Reviewed: https://review.openstack.org/96966
Committed: https://git.openstack.org/cgit/openstack/keystone/commit/?id=17da21500500c9a21545471023db072a1ed698f8
Submitter: Jenkins
Branch: master

commit 17da21500500c9a21545471023db072a1ed698f8
Author: Brant Knudson <email address hidden>
Date: Fri May 30 17:20:43 2014 -0500

    Fix curl example refs in docs

    The keystone developer docs index page had two links to the same
    API examples page: "Service API Examples Using Curl" and
    "Admin API Examples Using Curl". This is because the API examples
    document had 2 top-level sections.

    Partial-Bug: #1283943

    Change-Id: I8204268aa482e59f9108d515b69e9c37a12a9e08

Reviewed: https://review.openstack.org/96973
Committed: https://git.openstack.org/cgit/openstack/keystone/commit/?id=6b75e2a9ea1890cb170fcbba3db6abd6ab244683
Submitter: Jenkins
Branch: master

commit 6b75e2a9ea1890cb170fcbba3db6abd6ab244683
Author: Brant Knudson <email address hidden>
Date: Fri May 30 17:43:34 2014 -0500

    Add v3 curl examples

    There were curl examples for v2 APIs, but none for V3. This change
    adds some that I've found handy.

    Also, added an example of getting the revocation list using the v2
    API. This is handy for checking token revocations.

    Partial-Bug: #1283943

    Change-Id: I228dc479b29db730873ba95207e4ace85c20e1fe

Fix proposed to branch: master
Review: https://review.openstack.org/101633

Changed in keystone:
assignee: Brant Knudson (blk-u) → Lance Bragstad (ldbragst)

Reviewed: https://review.openstack.org/101633
Committed: https://git.openstack.org/cgit/openstack/keystone/commit/?id=e8bfe2296068136b2d456855faf1f30ea0cded1d
Submitter: Jenkins
Branch: master

commit e8bfe2296068136b2d456855faf1f30ea0cded1d
Author: Lance Bragstad <email address hidden>
Date: Fri Jun 20 19:28:22 2014 +0000

    Update docs to reference #openstack-keystone

    Our documentation was still referencing #openstack as the place to find
    Keystone folks. While that is still true, we need to update the docs so
    that we inform people about our #openstack-keystone channel.

    Change-Id: I8035fd08d5ef74f698f793d6b90ce1547a26aa56
    Partial-Bug: #1283943

Dolph Mathews (dolph) on 2014-06-23
description: updated
Changed in keystone:
status: In Progress → Fix Committed
description: updated
Changed in keystone:
milestone: none → juno-2
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-10-16
Changed in keystone:
milestone: juno-2 → 2014.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers